############################################################################################
# Import External Packages
using Test
using Random: Random, AbstractRNG, seed!

using Soss
using LinearAlgebra
using Distributions, DistributionsAD
using ForwardDiff, ReverseDiff, Zygote

############################################################################################
# Import Baytes Packages
using ModelWrappers
using ModelWrappers:
    ModelWrappers,
    FlattenDefault,
    FlattenContinuous,
    FlattenAll,
    UnflattenStrict,
    UnflattenAD,
    _get_constraint,
    _checkparams,
    _checkfinite,
    _checkprior,
    _allparam,
    _anyparam,
    _checksampleable,
    _to_bijector,
    _to_inv_bijector,
    flatten,
    constrain,
    _checkkeys,
    _get_val,
    _get_constraint,
    log_density,
    _log_density,
    log_density_and_gradient,
    _log_density_and_gradient

############################################################################################
# Include Files
include("TestHelper.jl")

############################################################################################
# Run Tests
@testset "All tests" begin
    include("test-flatten.jl")
    include("test-models.jl")
    include("test-tagged.jl")
    include("test-objective.jl")
    include("test-differentiation.jl")
end
